--- title: "View temporary domain lists" slug: "analytics-cloudsearch-gettempdomainlist" tags: ["Cloud Search"] updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-gettempdomainlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View temporary domain lists Cloud Search supports the [function of temporary domain creation](/docs/en/analytics-cloudsearch-createtempdomain) prior to actual domain creation. You can view all created temporary domains. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain ``` ## Responses | Field name | Type | Description | Remarks | | --- | --- | --- | --- | | [].name | string | Domain name | | | [].description | string | Domain description | | | [].type | string | Container type | small, large (Default:small) | | [].indexerCount | number | Number of containers for indexing | | | [].searcherCount | number | Number of containers for searches | | | [].createdDate | string | Domain creation time | | | [].updatedDate | string | Last update time | | | [].schema.document | [Schema](/docs/en/common-apidatatype-csschema) | Search settings | Valid schema (verifiable through [Schema validation](/docs/en/analytics-cloudsearch-checkschemavalidator)) | | [].autoCompleteChangeable | Yes | string | Autocompleted index changeability status | | [].containerChangeable | Yes | string | Search container changeability status | | [].schemaChangeable | Yes | string | Schema editable status | ### Response status | HTTP Status | Desc | | --- | --- | | 200 | OK (Successfully viewed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request examples ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain GET /CloudSearch/real/v1/tempdomain HTTP/1.1 Host:cloudsearch.apigw.ntruss.com x-ncp-apigw-signature-v2: +HqBAleXOJAmUidk7xpm7Na3+KzYBkb/iCa1opA7e3E= x-ncp-apigw-timestamp: 1545872768739 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Response examples ``` [ { "name": "car_temp", "description": "", "type": "small", "containerChangeable": "DISABLE", "schemaChangeable": "DISABLE", "autoCompleteChangeable": "DISABLE", "indexerCount": 1, "searcherCount": 1, "schema": {}, "createdDate": "2018-12-28T11:17:35.814Z", "updatedDate": "2018-12-28T11:17:35.814Z" }, { "name": "student_temp", "description": "", "type": "small", "indexerCount": 1, "searcherCount": 1, "schema": { "document": { "primarySectionName": "name", "sections": [ { "docProperties": [ { "type": "string", "name": "dp_name" } ], "name": "name" }, { "docProperties": [ { "type": "string", "name": "dp_phone_number" } ], "name": "phone_number" } ], "indexes": [ { "documentTermWeight": "sum_wgt", "buildInfos": [ { "sections": [ "name" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "name": "index_build_0" } ], "name": "name" }, { "documentTermWeight": "sum_wgt", "buildInfos": [ { "sections": [ "name", "phone_number" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "name": "index_build_0" } ], "name": "student" } ] } }, "createdDate": "2018-12-28T11:18:42.743Z", "updatedDate": "2018-12-28T11:18:42.743Z" } ] ```